Locked

GSON Upgrade to 2.8.9 in AEM

New Here ,
Jan 04, 2022 Jan 04, 2022

Copy link to clipboard

Copied

I have mentioned gson as depedndecy in pom.xml with version as below.
<dependency>
<artifactId>gson</artifactId>
<version>2.8.9</version>
<groupId>com.google.code.gson</groupId>
<scope>provided</scope>
</dependency>
Since all Latest AEM by default have GSON version with 2.8.5 and by project bundle is picking by 2.8.5 not 2.8.9. Because of this for some of the classes getting error like no method found.
Please suggest how to upgrade to 2.8.9

Please suggest

TOPICS
Installation

Views

88

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Employee ,
Jan 05, 2022 Jan 05, 2022

Copy link to clipboard

Copied

LATEST

Harish, I am sorry, but Adobe Experience Manager is not supported in this community.  Please repost any inquiries to the relevant discussion forum at https://experienceleaguecommunities.adobe.com/.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines